Get a workflow
curl --request GET \
--url https://api.quiva.ai/hub/workflows/{collection_topic}/{flow_topic} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/hub/workflows/{collection_topic}/{flow_topic}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/hub/workflows/{collection_topic}/{flow_topic}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subject": "ms.hub.config.workflow.1234567890.98765432",
"name": "MyWorkflow",
"description": "Workflow description",
"config": {
"nodes": [
{
"data": {
"id": "start",
"name": "Start",
"node_type": "map",
"payload": {
"message": "Start of workflow"
}
}
},
{
"data": {
"id": "process",
"name": "Process",
"node_type": "function",
"subject": "quiva-function.process-function",
"payload": {
"input": "{start}"
}
}
}
],
"edges": [
{
"source": "start",
"target": "process",
"id": "edge1"
}
],
"result": "process"
},
"modified": 1651395678
}Workflows
Get a workflow
Retrieves a specific workflow by subject
GET
/
hub
/
workflows
/
{collection_topic}
/
{flow_topic}
Get a workflow
Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme
Path Parameters
The topic is a hash of the name that was used when a collection was created
Flow topic - hash of the names the node was created with
Query Parameters
Draft flag
⌘I